Subject: Re: ftpaccess - strange games

From: Tomasz Rys <[email-masked]>
Date: Mon, 24 Aug 1998 17:47:41 +0200

Hi Roger,

put it on that way:

ftptest stream  tcp     nowait  root     /usr/sbin/in.ftpd -a -a

works

when 

ftptest stream  tcp     nowait  root     /usr/sbin/in.ftpd -a

not.

It seems to be a problem of the first argument. I still do not
understand why in 2.4 it was OK when for 2.4.2 is wrong.

regards,

Roger Hanke wrote:
> 
> Did anyone mention that inetd only accepts a couple options
> on its command line entries. I had to combine my options once
> I exceeded a couple in order for them all to be recognized.
> So depending on how your 4 options are ordered, could this
> explain your behavior?
>         Roger Hanke
> 
> >-----Original Message-----
> >From:  Tomasz Rys [SMTP:[email-masked]]
> >Sent:  Monday, August 24, 1998 10:16 AM
> >To:    Gregory A Lundberg
> >Cc:    WU-FTPD Lista
> >Subject:       Re: ftpaccess - strange games
> >
> >Dear Gregory,
> >
> >You partly helped me. It was not problem of ftpaccess but of command
> >line!
> >
> >the following line now works:
> >
> >ftptest stream  tcp     nowait  root     /usr/sbin/in.ftpd -a -t3600 -d
> >-a
> >
> >two times "-a"
> >
> >I really do not have idea why!? This is line for 2.4 on the same
> >machine:
> >
> >ftp     stream  tcp     nowait  root     /usr/local/etc/ftpd -a -t3600
> >
> >and it works!
> >
> >now we use "ftptest" but we had the same results on "plain" ftp
> >
> >Thanks for help.
> >regards,
> >
> >Gregory A Lundberg wrote:
> >>
> >> Your checks indicate that everything should be using the /etc/ftpaccess
> >> file, yet you don't see that it is.  I'd look for something wrong in the
> >> file itself.  I'd move the current file aside for a bit and create a brand
> >> new one (using a Unix editor, in case you used a Windows editor before).
> >> I'd put in something obvious that'd tell me it was working.  Then I'd move
> >> the old configuration line-by-line to the new file until I found what
> >> broke it.  For instance, I'd start with a completely empty /etc/ftpaccess
> >> and try to log in.  I should be denied and see 'Not in any class' in my
> >> system log.  Then I'd add a class and see that it lets me in.
> >>
> >> ----
> >>
> >> Gregory A Lundberg              Senior Partner, VRnet Company
> >> 1441 Elmdale Drive              [email-masked]
> >> Kettering, OH 45409-1615 USA    1-800-809-2195
> >
> >--
> >*------------------------------------------------------------------*
> >+ Tomasz Rys, Clico Hi-Tech Software Promotion Center, Ltd.        +
> >+ Al. 3-go Maja 7, PL30-063 Krakow, Poland                         +
> >+ E-mail: [email-masked] Tel: (+48)12-6325166, 12-6343422     +
> >+ Fax: +48 126323698, Ftp.clico.pl, http://www.clico.pl/           +
> >+ SunSoft, FTP Software, NetManage, Netscape, Informix, ...        +
> >*--Please include original in reply -Zalacz oryginal w odpowiedzi -*

-- 
*------------------------------------------------------------------*
+ Tomasz Rys, Clico Hi-Tech Software Promotion Center, Ltd.        +
+ Al. 3-go Maja 7, PL30-063 Krakow, Poland                         +
+ E-mail: [email-masked] Tel: (+48)12-6325166, 12-6343422     +
+ Fax: +48 126323698, Ftp.clico.pl, http://www.clico.pl/           +
+ SunSoft, FTP Software, NetManage, Netscape, Informix, ...        +
*--Please include original in reply -Zalacz oryginal w odpowiedzi -*